
// Copyright (C) 2002 by Luigi Pino.  All Rights Reserved.

/***************************************************************************/

typedef struct {
	bool	new_high[6];																	// Whether or not value is a high_score
	char	name[6][19];																	// Name of player	- [5] temp value
	float	time[6];																			// Most time between spheres
	int		spheres[6];																		// Amount of spheres let in
} High_Score_Struct;

/***************************************************************************/

int Compare_High_Score_Sphere(const void *p, const void *q);

int Compare_High_Score_Time(const void *p, const void *q);

void Save_High_Score_Verification();

void Show_High_Scores(bool color_menu);

void Sort_High_Score_Sphere();

void Sort_High_Score_Time();

/***************************************************************************/