
// Copyright (C) 2002 by Luigi Pino.  All Rights Reserved.

/***************************************************************************/

#define		Sphere_Radius					10.0f

// Controls
#define		Compete								4

// Game_position
#define		Game_Intro						0
#define		Game_Menu							1
#define		Game_Play							2
#define		Game_Ending						3

// Game_type
#define		Timed									0
#define		Countdown							1
#define		High_Score						2

// Textures
#define		Texture_Total					13
#define		t_font								0
#define		t_font_mask						1
#define		t_menu_1							2
#define		t_menu_2							3
#define		t_menu_3							4
#define		t_menu_mask_1					5
#define		t_menu_mask_2					6
#define		t_inside_ground				7
#define		t_side_wall						8
#define		t_net_wall						9
#define		t_paddle							10
#define		t_arrow								11
#define		t_sphere							12

/***************************************************************************/

void Initialize_Game();

void Initialize_Ground();

void Initialize_Ground_Cover();

bool Initialize_Objects();

void Initialize_System();

void Initialize_Textures(bool change_resolution);

void Initialize_Wall();

void Initialize_Wall_Points(float radius, float length_top, float length_sides);

/***************************************************************************/