
// Copyright (C) 2002 by Luigi Pino.  All Rights Reserved.

/***************************************************************************/

typedef struct {
	bool							game_over;												// Whether or not player lost
	Controller_Class	input;														// Input
	Movement_Struct		movement;													// Movement information
	float							score;														// Current score
	float							time_lapse;												// Amount of time between goals
	float							time_lapse_score;									// Highest amount of time between goals
	float3						pts[5];														// Points of paddle
} Paddle_Struct;

/***************************************************************************/

void Initialize_Paddle_Object();

void Paddle_AI(int current_paddle);

void Paddle_Movement(int current_paddle);

void Paddle_User_Input(int current_paddle);

/***************************************************************************/