
// Copyright (C) 2002 by Luigi Pino.  All Rights Reserved.

/***************************************************************************/

class Camera_Class {
	public:
		Camera_Class();																		// Constructor
		~Camera_Class();																	// Deconstructor

		void	Update(Timing_Class *timing);

		float		axis_speed;																// Speed of changing angle axis
		float		position_speed;														// Speed of changing position scroll
		float		zoom_current;															// Current zoom
		float		zoom_destination;													// Destination zoom
		float		zoom_speed;																// Speed of changing zoom
		float3	axis_current;															// Current axis of view
		float3	axis_destination;													// Destination axis of view
		float3	position_current;													// Current position
		float3	position_destination;											// Destination position
};

/***************************************************************************/