
// Copyright (C) 2002 by Luigi Pino.  All Rights Reserved.

/***************************************************************************/

struct node {
	int			value;
	struct	node	*next;
	struct	node	*previous;
};

/***************************************************************************/

class Linked_Lists_Class {
	public:
		Linked_Lists_Class();															// Constructor
		~Linked_Lists_Class();														// Deconstructor

		void	Add_Item();
		void	Delete_Item();
		void	Delete_List();
		int		Get_First_Value();
		int		Get_Value();
		void	Initialize_List();
		void	Next_Item();
		void	Previous_Item();
		void	Set_Value(int value);

	private:
		struct node	*first_item;
		struct node	*list;
};

/***************************************************************************/