
// Copyright (C) 2002 by Luigi Pino.  All Rights Reserved.

/***************************************************************************/

class vector3 {
	public:
		vector3();																				// Constructor 1
		vector3(float fx, float fy, float fz);						// Constructor 2
		~vector3();																				// Deconstructor

		void		Add(vector3 *vector_2);
		void		Add(vector3 *vector_1, vector3 *vector_2);
		void		Change_Direction(float direction);
		void		Change_Length(float length);
		void		Cross_Product(vector3 *vector_1, vector3 *vector_2);
		float		Dot_Product(vector3 *vector_2);
		float		Length();
		float		Get_Direction();
		void		Normal(float3 *point_1, float3 *point_2, float3 *point_3);
		void		Normalize();
		void		Normalize(vector3 *vector);
		void		Scale(float amount);
		void		Set_Velocity(float direction, float speed);
		void		Sub(vector3 *vector_2);
		void		Sub(vector3 *vector_1, vector3 *vector_2);

		float x;
		float y;
		float z;
};

/***************************************************************************/